Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries.JSMMarker

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries.JSMMarker

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series.Marker

Enclosing class:
  JSMPlotOptions.JSMSeries

    public static class JSMPlotOptions.JSMSeries.JSMMarker

extends JSMBaseObject
implements PlotOptions.Series.Marker

Nested Class Summary
`static class` | `JSMPlotOptions.JSMSeries.JSMMarker.JSMStates`

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.PlotOptions.Series.Marker
`PlotOptions.Series.Marker.States`

Field Summary
`boolean` | `enabled`
`JSMPlotOptions.JSMSeries.JSMMarker.JSMStates` | `states`
`java.lang.String` | `symbol`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries.JSMMarker()`

Method Summary
`JSMPlotOptions.JSMSeries.JSMMarker.JSMStates` | `getStates()`
`java.lang.String` | `getSymbol()`
`boolean` | `isEnabled()`
`PlotOptions.Series.Marker` | `setEnabled(boolean enabled)`
`PlotOptions.Series.Marker` | `setSymbol(java.lang.String symbol)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbol

    public java.lang.String symbol

### enabled

    public boolean enabled

### states

    public JSMPlotOptions.JSMSeries.JSMMarker.JSMStates states

Constructor Detail

### JSMPlotOptions.JSMSeries.JSMMarker

    public JSMPlotOptions.JSMSeries.JSMMarker()

Method Detail

### setEnabled

    public PlotOptions.Series.Marker setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `PlotOptions.Series.Marker`

### getStates

    public JSMPlotOptions.JSMSeries.JSMMarker.JSMStates getStates()

  Specified by:
    `getStates` in interface `PlotOptions.Series.Marker`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `PlotOptions.Series.Marker`

### getSymbol

    public java.lang.String getSymbol()

  Specified by:
    `getSymbol` in interface `PlotOptions.Series.Marker`

### setSymbol

    public PlotOptions.Series.Marker setSymbol(java.lang.String symbol)

  Specified by:
    `setSymbol` in interface `PlotOptions.Series.Marker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD